GRASS Plugin: error deleting vector file

2016-04-12 07:07 AM - Roy Roge

Status: Closed

Priority: High

Assignee:

Category: GRASS

Affected QGIS version:2.14.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22632

Description

If you load a vector layer from GRASS DB in QGIS Layers Panel,

then you remove it from the panel, still it is impossible to

delete the vector from GRASS DB using the Browser Panel delete function.

Step to reproduce:

- Load a vector file in a GRASS mapset using v.in.ogr,

- press View output to load the vector in QGIS,

- remove the vector from QGIS Layers Panel

- In the Browser panel right click the vector and choose "delete"

the vector file is not deleted and the geometry is corrupted

making the file unusable

Associated revisions

Revision bbaef371 - 2016-05-18 02:03 PM - Radim Blazek

[GRASS] close vector map if no more users, fixes #14668

History

#1 - 2016-04-13 07:54 AM - Giovanni Manghi

- Status changed from Open to Feedback

I cannot confirm using QGIS master on linux.

#2 - 2016-04-14 09:17 AM - Roy Roge

I just tested and the problem persist on master

with:

QGIS 2.15.0 Master 0f048b5

OSGEO4W 64 bit on windows
maybe the issue is only on windows ?

#3 - 2016-05-18 05:07 AM - Radim Blazek

- Status changed from Feedback to Closed

Fixed in changeset commit:"bbaef371cb9532efd4dcaf4bd247e72f2ff2203e".

#4 - 2016-05-18 05:14 AM - Radim Blazek

In fact, close map code was commented, which resulted in keeping the file open and impossibility to delete the vector on Windows.

I have re-enabled closing map. There was a comment about possible dead-lock, but that was from early stages of the provider overhaul, so I hope it is OK

now.
